$(MODULES_BASE_DIR)/nics.bz2:
	-rm -r $(MODULES_BASE_DIR)/nics
	mkdir -p $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net
	
	#
	# Network drivers
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/tulip/* $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/3c509.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/3c59x.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/813*.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	-cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/rtl8139.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/mii.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/8390.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/eepro100.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/ne.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/pcnet32.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/ne2k-pci.o $(MODULES_BASE_DIR)/nics/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	( cd $(MODULES_BASE_DIR)/nics; tar -cpvf ../nics.tar *; )
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/nics.tar
	mv $(MODULES_BASE_DIR)/nics.tar.bz2 $(MODULES_BASE_DIR)/nics.bz2

nics: $(MODULES_BASE_DIR)/nics.bz2

nics-clean:
	-rm -f $(MODULES_BASE_DIR)/nics.bz2
